package com.symbol.elearningapp;

import androidx.appcompat.app.AppCompatActivity;

import com.symbol.elearningapp.service.ClassDetail;
import com.symbol.elearningapp.service.StudentDetails;

import java.util.HashMap;
import java.util.List;

public class CommonData{
    public static List<ClassDetail> classDetails;
    public static String name;
    public static String type;
    public static int selectedIndex;
    public static String id;
    public static List<StudentDetails> studentDetailsList;
    public static HashMap<String, StudentDetails> studentDetailsHashMap;
    public static HashMap<String, StudentDetails> selectedStudentDetailsHashMap;

    public static HashMap<String, StudentDetails> getSelectedStudentDetailsHashMap() {
        return selectedStudentDetailsHashMap;
    }

    public static void setSelectedStudentDetailsHashMap(HashMap<String, StudentDetails> selectedStudentDetailsHashMap) {
        CommonData.selectedStudentDetailsHashMap = selectedStudentDetailsHashMap;
    }

    public static HashMap<String, StudentDetails> getStudentDetailsHashMap() {
        return studentDetailsHashMap;
    }

    public static void setStudentDetailsHashMap(HashMap<String, StudentDetails> studentDetailsHashMap) {
        CommonData.studentDetailsHashMap = studentDetailsHashMap;
    }

    public static List<StudentDetails> getStudentDetailsList() {
        return studentDetailsList;
    }

    public static void setStudentDetailsList(List<StudentDetails> studentDetailsList) {
        CommonData.studentDetailsList = studentDetailsList;
    }

    public static String getId() {
        return id;
    }

    public static void setId(String id) {
        CommonData.id = id;
    }

    public static int getSelectedIndex() {
        return selectedIndex;
    }

    public static void setSelectedIndex(int selectedIndex) {
        CommonData.selectedIndex = selectedIndex;
    }

    public static List<ClassDetail> getClassDetails() {
        return classDetails;
    }

    public static void setClassDetails(List<ClassDetail> classDetails) {
        CommonData.classDetails = classDetails;
    }

    public static String getType() {
        return type;
    }

    public static void setType(String type) {
        CommonData.type = type;
    }

    public static void setName(String name) {
        CommonData.name = name;
    }

    public static String getName() {
        return name;
    }

}
